# MatRegisterDAAD

Registers DAAD matrix type

### Synopsis

    #include "petscda.h"
    #include "petscsnes.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatRegisterDAAD(void)

### See Also

MatCreateDAAD(), DASetLocalAdicMFFunction()

Level:advanced
Location: src/mat/impls/adic/matadic.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex26.c.html
src/snes/examples/tutorials/ex5f.F.html